Gecode::Int::Channel::BoolIter Class Reference

Iterates the values to be removed as defined by an array of Boolean views. More...

## Public Member Functions

| BoolIter (const ViewArray< BoolView > &x0, int o0)
| Initialize iterator.
bool | operator() (void) const
| Test whether further values available.
int | val (void) const
| Return value.
void | operator++ (void)
| Move to the next value.

## Detailed Description

Iterates the values to be removed as defined by an array of Boolean views.

Definition at line 39 of file link-multi.cpp.

## Constructor & Destructor Documentation

## BoolIter()

Gecode::Int::Channel::BoolIter::BoolIter | ( | const ViewArray< BoolView > & | x0,
|  | int | o0 )

inline

Initialize iterator.

Definition at line 59 of file link-multi.cpp.

## Member Function Documentation

## operator()()

bool Gecode::Int::Channel::BoolIter::operator() | ( | void |  | ) | const

inline

Test whether further values available.

Definition at line 65 of file link-multi.cpp.

## val()

int Gecode::Int::Channel::BoolIter::val | ( | void |  | ) | const

inline

Return value.

Definition at line 69 of file link-multi.cpp.

## operator++()

void Gecode::Int::Channel::BoolIter::operator++ | ( | void |  | ) |

inline

Move to the next value.

Definition at line 74 of file link-multi.cpp.

The documentation for this class was generated from the following file:

- gecode/int/channel/link-multi.cpp